sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dav...@apache.org
Subject Re: Updating javax.json APIs version
Date Wed, 03 Jul 2019 11:38:57 GMT
Hi Simo,

On the change to javax.json:javax.json-api:1.1.4 - that is the license of
that jar? Just making sure that it's licensed in a compatible way for the
ASF.

Best regards,

David

On Tue, 2 Jul 2019 at 23:38, Simone Tripodi <simonetripodi@apache.org>
wrote:

> Hi all,
> I just did a simple experiment in the o.a.s.feature.io bundle by
> replacing the following dependencies:
>
> org.apache.geronimo.specs:geronimo-json_1.0_spec:1.0-alpha-1 ->
> javax.json:javax.json-api:1.1.4
> org.apache.johnzon:johnzon-core:1.0.0 ->
> org.apache.johnzon:johnzon-core:1.1.12
>
> Despite the fact that new APIs are the official version, they also are
> compatible with the existing Sling bundle and contain few new methods
> that would allow me implementing the Feature streaming APIs in an
> easier way.
>
> WDYT? Is there any blocker on upgrading the dependencies?
> TIA,
> ~Simo
>
> http://people.apache.org/~simonetripodi/
> http://twitter.com/simonetripodi
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message